## org.eclipse.emf.mapping.ecore2ecore.action
Class AddInputRootAction

    java.lang.Object
      org.eclipse.emf.edit.ui.action.CommandAction
          org.eclipse.emf.mapping.action.AddRootTopAction
              org.eclipse.emf.mapping.ecore2ecore.action.AddInputRootAction

All Implemented Interfaces:
  IActionDelegate, IActionDelegate2, IEditorActionDelegate, IViewActionDelegate

    public class AddInputRootAction

extends AddRootTopAction

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.action.CommandAction
`action, collection, command, editingDomain, editorPart, workbenchPart`

Constructor Summary
`AddInputRootAction()`

Method Summary
`protected java.util.Collection<?>` `getTopsToAdd()` This method should be overriden with a domain-specific implementation that returns the inputs to be added, e.g., by querying the user with a dialog.

Methods inherited from class org.eclipse.emf.mapping.action.AddRootTopAction
`run, selectionChanged, setActiveWorkbenchPart`

Methods inherited from class org.eclipse.emf.edit.ui.action.CommandAction
`createActionCommand, dispose, getDefaultImageDescriptor, init, init, objectToImageDescriptor, runWithEvent, setActiveEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddInputRootAction

    public AddInputRootAction()

Method Detail

### getTopsToAdd

    protected java.util.Collection<?> getTopsToAdd()

  Description copied from class: `AddRootTopAction`
  This method should be overriden with a domain-specific implementation that returns the inputs to be added, e.g., by querying the user with a dialog.

  Overrides:
    `getTopsToAdd` in class `AddRootTopAction`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.